    The XSPEC ssa model: Strangeon star atmosphere.

xsssa
The xsssa model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsssa", "mdl")
>>> print(mdl)

Create a component of the xsssa model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.te thawed 0.1 0.01 0.5 mdl.y thawed 0.7 0.0001 1000 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
te
The electron temperature, in keV.
y
A combination of ion density, temperature, and stellar radius. See [1] for a decription. The units are 10^42 keV/km/cm^6.
norm
This represents (R/d)^2, where d is the distance to the star in units of 10 kpc.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelSsa.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023